{% extends 'Templates/layout_login.html.twig' %}

{% block body %}
    {% set currentPath = app.request.requestUri %}

    <section class="d-flex d-center d-vcenter w-35">
        <article class="bg-white p-25 form_login">
            <h1 class="text-center text-blue mb-30 text-bold">Connexion</h1>

            <form method="POST" class="form_login">
                <div class="form-group">
                    <input class="form-control" type="text" id="username" name="_username" value="{{ lastLogin }}" placeholder="Email" />
                </div>

                <div class="form-group">
                    <input class="form-control" type="password" id="password" name="_password" placeholder="Mot de Passe" />
                </div>

                {# Redirect Url if success #}
                <input type="hidden" name="_target_path" value="{{ url('login') }}" />

                {# CSRF Protection #}
                <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}" />

                {% if error %}
                    <span class="alert alert-danger-revert d-block text-center text-bold">{{ error.messageKey|trans(error.messageData, 'security') }}</span>
                {% endif %}

                <div class="d-inline-center">
                    <button class="btn btn-primary" type="submit">Valider</button>
                </div>

            </form>
        </article>

    </section>

{% endblock %}
